#1636 closed enhancement (later)

Refactor Rate Monotonic Manager into a generic Periodic Manager

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: sebastian.huber@…, petben@… Blocked By:
Blocking:

Description

This PR is to refactor the RTEMS Rate Monotonic Management routines into a more generic Periodic Manager. This change will facilitate scheduler implementations other than Rate Monotonic that support periodic tasks.

The newly created Periodic Manager is split between the classic and supercore. The original classic Rate Monotonic interface is maintained and duplicated by the Periodic Manager's public interface located in the classic API.

Non-public management routines have been moved to the supercore. Non-public Rate Monotonic routines have been removed.

Attachments (7)

rtems-cvs.diff (57.5 KB) - added by Gedare Bloom on Jul 27, 2010 at 8:54:35 PM.
Patch to refactor Rate Monotonic Manager.
rtems.tgz (10.9 KB) - added by Gedare Bloom on Jul 27, 2010 at 8:55:16 PM.
New files.
ChangeLog (1.1 KB) - added by Gedare Bloom on Jul 27, 2010 at 9:01:26 PM.
cpukit/ChangeLog
ChangeLog_v1 (260 bytes) - added by Gedare Bloom on Jul 27, 2010 at 9:03:31 PM.
testsuites/sptests/ChangeLog
rtems_v1.tgz (10.9 KB) - added by Gedare Bloom on Aug 12, 2010 at 6:30:58 PM.
New files.
rtems-cvs_v1.diff (57.5 KB) - added by Gedare Bloom on Aug 12, 2010 at 6:31:59 PM.
Patch to refactor Rate Monotonic Manager.
rtems_v2.tgz (10.9 KB) - added by Gedare Bloom on Aug 12, 2010 at 6:40:16 PM.
New files.

Download all attachments as: .zip

Change History (17)

Changed on Jul 27, 2010 at 8:54:35 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Patch to refactor Rate Monotonic Manager.

Changed on Jul 27, 2010 at 8:55:16 PM by Gedare Bloom

Attachment: rtems.tgz added

New files.

Changed on Jul 27, 2010 at 9:01:26 PM by Gedare Bloom

Attachment: ChangeLog added

cpukit/ChangeLog

Changed on Jul 27, 2010 at 9:03:31 PM by Gedare Bloom

Attachment: ChangeLog_v1 added

testsuites/sptests/ChangeLog

comment:1 Changed on Jul 28, 2010 at 7:53:42 AM by Sebastian Huber

attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on Jul 28, 2010 at 7:54:00 AM by Sebastian Huber

attachments.mimetype: application/octet-streamtext/plain

comment:3 Changed on Jul 28, 2010 at 7:57:38 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Aug 12, 2010 at 6:30:58 PM by Gedare Bloom

Attachment: rtems_v1.tgz added

New files.

comment:4 Changed on Aug 12, 2010 at 6:31:23 PM by Gedare Bloom

attachments.isobsolete: 01

Changed on Aug 12, 2010 at 6:31:59 PM by Gedare Bloom

Attachment: rtems-cvs_v1.diff added

Patch to refactor Rate Monotonic Manager.

comment:5 Changed on Aug 12, 2010 at 6:31:59 PM by Gedare Bloom

attachments.isobsolete: 01

Changed on Aug 12, 2010 at 6:40:16 PM by Gedare Bloom

Attachment: rtems_v2.tgz added

New files.

comment:6 Changed on Aug 12, 2010 at 6:40:16 PM by Gedare Bloom

attachments.isobsolete: 01

comment:7 Changed on Sep 9, 2011 at 4:57:16 PM by Gedare Bloom

Cc: benesp16@… added

comment:8 Changed on Feb 4, 2012 at 2:50:59 PM by Gedare Bloom

Milestone: 4.11Not Assigned
Resolution: later
Severity: normalenhancement
Status: newclosed

This change still has value but needs to be re-examined and is not a bug so it can wait.

comment:9 Changed on Nov 20, 2014 at 4:42:09 AM by Chris Johns

Milestone: Not Assigned4.11

Fixed or closed on HEAD.

comment:10 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.